Skip to main content
POST
/
endpoints
/
{endpointId}
/
adapters
Together AI SDK (v2)
from together import Together
import os

client = Together(
    api_key=os.environ.get("TOGETHER_API_KEY"),
)

result = client.endpoints.adapters.add(
    "endpoint-abc123",
    model_id="username/my-endpoint-name:username/my-adapter-model",
)
print(result.api_model_id)
{
  "model_id": "<string>"
}

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

endpointId
string
required

The endpoint ID

Body

application/json
model_id
string
required

Combined identifier in format "endpoint_name:adapter_model_name".

Example:

"username/Meta-Llama-3.1-8B-Instruct-def456:username/my-adapter-abc123"

Response

Adapter successfully bound to endpoint

model_id
string